class Trojkat{
    constructor(a, b, c){
      this.a=a;
      this.b=b;
      this.c=c;
  };
  obliczPole(){
      let p=(this.a+this.b+this.c)/2;
      let pole=Math.sqrt(p*(p-this.a)*(p-this.b)*(p-this.c));
      return pole;
  };
  sprawdzCzyMozliwy(){
      if ((this.a+this.b>this.c) && (this.a+this.c>=this.b) && (this.b+this.c>this.a)){
          return "Ten trójkąt jest możliwy.";
      }
      else{
          return "Ten trójkąt nie jest możliwy.";
        };
  };
  
};

document.getElementById("guzikMozliwy").addEventListener("click", function(){
    let a=parseFloat(document.getElementById("boka").value);
    let b=parseFloat(document.getElementById("bokb").value);
    let c=parseFloat(document.getElementById("bokc").value);
    
    let trojkacik=new Trojkat(a, b, c);

    let odpowiedz=trojkacik.sprawdzCzyMozliwy();
    document.getElementById("odpCzyMozliwy").innerHTML = odpowiedz;
});

document.getElementById("guzikPole").addEventListener("click", function(){
    let a=parseFloat(document.getElementById("boka").value);
    let b=parseFloat(document.getElementById("bokb").value);
    let c=parseFloat(document.getElementById("bokc").value);
    
    let trojkacik=new Trojkat(a, b, c);
    
    let pole=trojkacik.obliczPole();
    document.getElementById("odpPole").innerHTML="Pole trójkąta wynosi: "+pole.toFixed(2);
});



